<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Invitación</title>
    <link
      href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i&display=swap"
      rel="stylesheet"
    />
    <style>
      body {
        margin: 20px 60px;
        margin-left: 100px;
        width: calc(100% - 160px);
        box-sizing: border-box;
        text-align: center;
        font-family: "Roboto", sans-serif;
      }
      .logo {
        height: 140px;
      }
      h1 {
        color: #ae8d12;
        font-size: 2.7rem;
        font-weight: normal;
        margin: 0;
      }
      h2 {
        margin: 0;
        color: #030303;
        font-weight: normal;
      }
      h5 {
        font-weight: 300;
        color: #434343;
        font-size: 1.3rem;
        margin: 0;
      }
      hr {
        background-color: #c5c5c5;
        width: 90%;
        margin: 0 auto;
      }
      button {
        background-color: #cfc484;
        color: white;
        font-weight: bold;
        text-transform: capitalize;
        border-radius: 6px;
        padding: 8px 16px;
        border: none;
        cursor: pointer;
      }
      .linea {
        border: none;
        border-left: 2px solid #cfc484;
        display: block;
        position: absolute;
        top: 10px;
        left: 0;
        width: 2px;
        max-height: calc(100% - 10px);
      }
      .auditorio {
        display: flex;
        justify-content: center;
        align-items: center;
        margin: 16px 0;
      }
      .auditorio > * {
        margin: 0 10px;
      }
      .programa {
        color: #1a1a1a;
        font-weight: normal;
        font-size: 1.4rem;
        margin: 8px 0;
      }
      .evento {
        color: #686868;
        font-size: 1.2rem;
        font-weight: 400;
        margin: 4px 0;
      }
      .alumno {
        margin: 16px 0;
        margin-top: 100px;
      }
      .qr {
        display: block;
        margin: 30px auto;
      }

      @media only print {
        button {
          display: none;
        }
      }
    </style>
  </head>
  <body>
    <hr class="linea" style="left:20px;height:100%;" />
    <hr class="linea" style="left:30px;height:90%;" />
    <hr class="linea" style="left:40px;height:70%;" />
    <img
      src="https://i.pinimg.com/474x/06/c0/06/06c0064630eb6b209f403e5cfec7237f--greeting-cards.jpg"
      class="logo"
    />
    <h1>Ceremonia de Graduación</h1>
    <h5 id="carrera">Nombre de la carrera</h5>

    <div class="auditorio">
      <h2>Auditorio "Heber Soto"</h2>
      <h2 id="date">26 de junio del 2020 9:00 a.m.</h2>
    </div>

    <hr />

    <h5 class="programa">PROGRAMA</h5>
    <div id="eventos"></div>

    <div class="alumno">
      <hr />
      <h2 id="alumno">Nombre del alumno</h2>
      <hr />
    </div>

    <h1>Generación</h1>
    <h2 id="generacion">2016 - 2021</h2>

    <img src="" id="qr" class="qr" />
    <button onclick="print()">IMPRIMIR</button>
    <script>
      function toTitle(text) {
        return `${text}`
          .split(" ")
          .map(i => `${i[0].toUpperCase()}${i.substring(1).toLowerCase()}`)
          .join(" ");
      }

      window.addEventListener("load", function(e) {
        window.data = JSON.parse(`%DATA%`);

        document.getElementById("carrera").innerText = toTitle(
          window.data.user.career
        );
        document.getElementById("date").innerText = window.data.event.date;
        for (let p of window.data.event.program) {
          document.getElementById(
            "eventos"
          ).innerHTML += `<p class="evento">${p}</p>`;
        }
        document.getElementById("alumno").innerText = toTitle(
          `${window.data.user.name} ${window.data.user.last_name}`
        );
        document.getElementById(
          "generacion"
        ).innerText = `${window.data.user.start_year} - ${window.data.user.end_year}`;
        document.getElementById("qr").src = window.data.qr;
      });
    </script>
  </body>
</html>
